Aide

Bienvenue dans l'aide de l'interface graphique de l'explorateur

Navigateur de l'interface graphique de l'explorateur - Introduction
Opérations liées au menu Liste
Opérations liées au menu Fichier
Opérations liées au menu Edition
Opérations liées au menu Affichage
Opérations liées au menu Outils
Opérations liées au menu Aide


Navigateur de l'interface graphique de l'explorateur

Navigateur de l'interface graphique de l'explorateur - Introduction

L'interface graphique de l'explorateur propose des fonctionnalités de base telles que le Presse-papiers (Couper/Copier/Coller), le glisser-déplacer, et les options Actualiser et Trier. Il s'agit d'un environnement utilisé par plusieurs produits Computer Associates. Il ne s'exécute pas de façon indépendante, mais est invoqué par les modules d'extension précités.

L'interface graphique de l'explorateur vous permet d'effectuer des opérations, telles que la consultation/modification des propriétés d'un noeud sélectionné, le réglage du temporisateur d'actualisation, la définition d'un filtre et la modification de la police utilisée dans les vues d'arborescence et de liste, ainsi que celle utilisée dans ses boîtes de dialogue.

Dans toutes les boîtes de dialogue de l'interface graphique de l'explorateur, une aide contextuelle est disponible pour les éléments des menus (Fichier, Edition, Affichage, Outils et Aide) contrôlés par l'interface et pour de nombreux éléments du menu Liste.

La principale vue d'arborescence se trouve dans le panneau de gauche. Elle contient différents types de noeud (souvent nommés noeuds dans cette aide) en fonction du module d'extension actuellement sélectionné. Le panneau de gauche peut également contenir les vues de signets et d'historique.

La vue du panneau de droite dépend du noeud sélectionné dans le panneau de gauche et de la vue sélectionnée. Ce panneau vous permet de visualiser les noeuds enfant du noeud actuellement sélectionné.

Remarques concernant les noeuds :

Racine | Premier noeud de l'arborescence. Généralement affiché dans le panneau de gauche. Le panneau de gauche peut contenir plusieurs arborescences.
Parent | Noeuds possédant des noeuds enfant. Ils peuvent apparaître dans les panneaux de gauche et de droite.
Enfant | Noeuds possédant un noeud parent. Ils peuvent apparaître dans les panneaux de gauche et de droite.
Feuille | Noeuds ne possédant pas de noeuds enfant. Ils apparaissent généralement dans le panneau de droite.

Dans certains cas, les modules d'extension utilisent les concepts de dossier et d'objet. Un noeud peut représenter un dossier ou un objet. L'aide du module d'extension fournit la terminologie exacte utilisée dans ce module. Un module d'extension peut utiliser plusieurs arborescences et, par conséquent, posséder plusieurs noeuds racine.

Dossier | Par définition, les dossiers sont toujours des noeuds racine, parent ou enfant, mais jamais des noeuds feuille.
Objet | Les objets peuvent être des noeuds racine, parent, enfant ou feuille. Les règles ne s'y appliquent pas strictement. Dans certains modules d'extension, le noeud n'est pas un dossier, mais un objet qui contient des noeuds enfant.

Pour plus d'informations sur les colonnes du panneau de droite, cliquez ici.

Copyright 2003 Computer Associates International, Inc.
Les marques, raisons commerciales, marques de services et logos cités dans ce document appartiennent à leurs propriétaires respectifs.

Rubriques connexes :

Barre d'outils de l'interface graphique de l'explorateur


Barre d'outils de l'interface graphique de l'explorateur

Les boutons de la barre d'outils de l'interface graphique de l'explorateur permettent d'accéder rapidement à diverses fonctions de cette interface.

Les boutons de la barre d'outils se répartissent dans les groupes suivants :
Boutons de navigation, Boutons Précédent/Suivant, Boutons de présentation, Boutons de propriétés, Boutons d'édition, Boutons d'affichage et Bouton d'aide.

Rubriques connexes :
Barres d'outils, Boutons Standard | Barres d'outils, Barre d'adresses
Sélecteur de vues | Bouton Volet d'exploration
Volet d'exploration, Arborescence | Volet d'exploration, Historique
Volet d'exploration, Signets | Barre d'état
Barre de sortie | Bouton Barre du didacticiel


Barre d'outils de l'interface graphique de l'explorateur : Boutons de navigation

Ces boutons forment le premier groupe d'icônes de la barre d'outils. Ils permettent de contrôler le fonctionnement du navigateur de l'interface graphique de l'explorateur.

Ouvre une nouvelle fenêtre d'interface graphique de l'explorateur à l'aide du module d'extension d'application actuel.

Ouvre une nouvelle fenêtre d'interface graphique de l'explorateur. Son noeud racine est le noeud à partir duquel la sélection Explorer à partir de a été effectuée.

Rubriques connexes :

Boutons Précédent/Suivant | Boutons de présentation
Boutons de propriétés | Boutons d'édition
Boutons d'affichage | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Boutons Précédent et Suivant

Ces boutons forment le deuxième groupe d'icônes de la barre d'outils. Ils vous permettent de naviguer dans les sélections précédemment effectuées.

Vous renvoie à la vue de noeud précédemment sélectionnée.

Vous fait accéder à la vue de noeud suivante.

Vous pouvez cliquer sur la flèche pointant vers le bas située à droite des icônes des deux boutons pour obtenir une liste pouvant comporter jusqu'à huit choix de noeuds. La liste Précédent contient les derniers noeuds visualisés dans l'arborescence. La liste Suivant reste vide jusqu'à ce que vous sélectionniez le bouton Précédent. La liste s'allonge à chaque fois que vous sélectionnez le bouton Précédent.

Rubriques connexes :

Boutons de navigation | Boutons de présentation
Boutons de propriétés | Boutons d'édition
Boutons d'affichage | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Boutons de présentation

Ces boutons forment le troisième groupe d'icônes de la barre d'outils. Ils permettent de contrôler la fonction d'actualisation et les mouvements vers le haut dans la hiérarchie de l'arborescence.

Déplace votre sélection d'un niveau vers le haut dans la hiérarchie. Vous pouvez également utiliser la touche Retour arrière de votre clavier.

Actualise le noeud actuellement sélectionné et sa sous-arborescence.

Ajoute un signet au noeud sélectionné dans le module d'extension de l'interface graphique de l'explorateur.

Rubriques connexes :

Boutons de navigation | Boutons Précédent/Suivant
Boutons de propriétés | Boutons d'édition
Boutons d'affichage | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Boutons de propriétés

Ces boutons forment le quatrième groupe d'icônes de la barre d'outils. Ils permettent de créer un noeud, d'activer une vue des propriétés du noeud actuellement sélectionné ou de supprimer ce noeud.

Crée un nouveau noeud. A l'instar de la commande Nouveau du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Propriétés du noeud actuellement sélectionné. A l'instar de la commande Propriétés du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Supprime un noeud existant. A l'instar de la commande Supprimer du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Rubriques connexes :

Boutons de navigation | Boutons Précédent/Suivant
Boutons de présentation | Boutons d'édition
Boutons d'affichage | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Boutons d'édition

Ces boutons forment le cinquième groupe d'icônes de la barre d'outils. Ils permettent de contrôler l'interaction avec le Presse-papiers.

Supprime le noeud actuellement sélectionné. A l'instar de la commande Couper du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Copie le noeud actuellement sélectionné. A l'instar de la commande Copier du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Insère une copie du contenu du Presse-papiers dans le noeud d'insertion. A l'instar des types de commande Coller du menu contextuel du noeud, ce bouton est inactif si le noeud actif ne prend pas en charge cette commande.

Rubriques connexes :

Boutons de navigation | Boutons Précédent/Suivant
Boutons de présentation | Boutons de propriétés
Boutons d'affichage | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Boutons d'affichage

Ces boutons forment le sixième groupe d'icônes de la barre d'outils. Ils permettent de contrôler la présentation des noeuds répertoriés.

Affiche ou masque le volet d'exploration (vue de gauche).

La flèche pointant vers le bas à droite de l'icône d'affichage affiche au maximum six fonctions parmi lesquelles vous devez faire votre choix : Comme une page Web, Grandes icônes, Petites icônes, Liste, Détails et Graphique.
Les fonctions disponibles dépendent des modes de vue pris en charge par le noeud actif du module d'extension.

Remarque : Lorsque vous sélectionnez l'option Graphique, l'option Comme une page Web n'est pas disponible.

Rubriques connexes :

Boutons de navigation | Boutons Précédent/Suivant
Boutons de présentation | Boutons de propriétés
Boutons d'édition | Bouton d'aide


Barre d'outils de l'interface graphique de l'explorateur : Bouton d'aide

Ce bouton forme le septième groupe d'icônes de la barre d'outils. Il ouvre l'aide en ligne du noeud actuellement sélectionné dans le module d'extension actif de l'interface graphique de l'explorateur.

Raccourcis
Barre d'outils : |
Touches : | F1 (pour la plupart des modules d'extension)
Rubriques connexes :

Boutons de navigation | Boutons Précédent/Suivant
Boutons de présentation | Boutons de propriétés
Boutons d'édition | Boutons d'affichage
Eléments du menu Aide |


Opérations liées au menu Liste

Cette section contient les rubriques non répertoriées dans les opérations disponibles via les menus Fichier, Edition, Affichage, Outils, Aide ou Barre d'outils. Il s'agit principalement de commandes de menu contextuel accessibles via l'en-tête de la vue de liste dans le panneau de droite, situé à droite de la colonne Informations.

Menu contextuel de l'élément Arborescence
Colonnes affichées dans le panneau de droite
Réorganisation des colonnes dans le panneau de droite
Commande Afficher tout
Commande Masquer tout
Commande Ajustement automatique de la taille des colonnes
Commande Filtre
Commande Autres (utilisation pour plusieurs colonnes)

Remarques :
Les menus contextuels des noeuds de l'arborescence gauche et de la liste du panneau de droite sont associés aux modules d'extension de l'interface graphique de l'explorateur et ne sont pas inclus dans l'aide de cette interface. A l'exception du premier élément de la liste ci-dessus, tous les éléments restants ne s'appliquent que si vous sélectionnez le mode de vue Détails.


Menu contextuel

Menu contextuel de l'élément Arborescence

Si vous cliquez avec le bouton droit de la souris sur un noeud, un menu contextuel peut apparaître, selon le noeud actif du module d'extension actuel. Le contenu du menu dépend du noeud sélectionné.


Colonnes affichées dans le panneau de droite

Vous pouvez choisir d'afficher ou de masquer les colonnes dans le panneau de droite.

Sélectionnez un noeud approprié (selon le module d'extension actif) dans l'arborescence de gauche. Plusieurs colonnes apparaissent dans le panneau de droite si vous avez sélectionné la vue détaillée.

Cliquez avec le bouton droit de la souris sur une colonne située à droite de la colonne Informations. Un menu contextuel apparaît.

La partie supérieure du menu contextuel contient les noms de dix colonnes maximum, suivis des commandes disponibles pour tous les noeuds, telles que Afficher tout, Masquer tout, Ajustement automatique de la taille des colonnes, Filtre et Autres.

Affichage ou masquage d'une colonne dans le panneau de droite

Pour afficher ou masquer une colonne, procédez comme suit :

1. | Si une colonne est affichée dans le panneau de droite, son nom est coché dans le menu contextuel.
2. | Pour afficher une colonne, cliquez sur son nom. Le nom de la colonne est coché et cette colonne apparaît dans le panneau de droite.
3. | La coche identifie l'affichage ou le masquage des colonnes. Cliquez sur un nom coché pour faire disparaître la colonne du panneau de droite.

Si vous sélectionnez un noeud comportant moins de dix colonnes, le menu contextuel contient autant de noms que de colonnes.

Vous pouvez utiliser la commande Autres du menu contextuel pour afficher et masquer simultanément un ensemble de colonnes, ou les réorganiser.

Utilisez la commande Autres pour afficher la liste complète des colonnes. Si elles sont plus de 10, seules les dix premières colonnes sont affichées dans le menu contextuel.

Rubriques connexes :
Colonnes du panneau de droite | Ajustement automatique de la taille des colonnes
Afficher tout | Masquer tout
Commande Filtre | Commande Autres


Réorganisation des colonnes dans le panneau de droite

Si vous sélectionnez la vue Détails, vous pouvez réorganiser librement les colonnes du panneau de droite.

Cliquez sur la colonne que vous souhaitez déplacer et faites-la glisser horizontalement à un nouvel emplacement tout en maintenant le bouton gauche de la souris enfoncé. Relâchez le bouton de la souris pour insérer la colonne à son nouvel emplacement.

Si vous souhaitez réorganiser plusieurs colonnes, utilisez la commande Autres...

Si plusieurs personnes utilisent cet ordinateur, chaque utilisateur voit ses paramètres de réorganisation de colonnes, propres à chaque type de noeud sélectionné, enregistrés dans un registre utilisateur personnel.

Rubriques connexes :
Autres... | Définition d'un filtre
Boîte de dialogue Définition d'un filtre | Expressions régulières
Masquer tout | Afficher tout


Commande Afficher tout

Affiche toutes les colonnes du panneau de droite, si le noeud sélectionné dans l'arborescence de gauche du module d'extension actuellement actif possède des colonnes et que la vue Détails est sélectionnée.

Pour afficher toutes les colonnes du panneau de droite, procédez comme suit :

1. | Dans le panneau de droite, cliquez avec le bouton droit de la souris à droite de la colonne Informations. Un menu contextuel apparaît.
2. | Dans le menu contextuel, sélectionnez Afficher tout. Toutes les colonnes du panneau de droite apparaissent.

Rubriques connexes :
Réorganisation des colonnes dans le panneau de droite | Commande Autres
Commande Masquer tout | Définition de filtres
Copier comme texte | Expressions régulières


Masquer tout

Masque la présentation de toutes les colonnes du panneau de droite, si le noeud sélectionné dans l'arborescence de gauche du module d'extension actif possède des colonnes et que la vue Détails est sélectionnée.

Pour masquer toutes les colonnes du panneau de droite, procédez comme suit :

1. | Dans le panneau de droite, cliquez avec le bouton droit de la souris sur une colonne à droite de la colonne Informations. Un menu contextuel apparaît.
2. | Dans le menu contextuel, sélectionnez Masquer tout. Toutes les colonnes du panneau de droite sont masquées.

Rubriques connexes :
Réorganisation des colonnes dans le panneau de droite | Commande Autres
Commande Afficher tout | Définition de filtres
Copier comme texte | Expressions régulières


Commande Ajustement automatique de la taille des colonnes

Permet de dimensionner les colonnes affichées dans le panneau de droite afin qu'elles occupent le moins d'espace horizontal, si le noeud sélectionné dans l'arborescence de gauche du module d'extension actif possède des colonnes et que la vue Détails est sélectionnée

Pour dimensionner les colonnes dans le panneau de droite, procédez comme suit :

1. | Dans le panneau de droite, cliquez avec le bouton droit de la souris sur une colonne à droite de la colonne Informations. Un menu contextuel apparaît.
2. | Dans le menu contextuel, sélectionnez Ajustement automatique de la taille des colonnes. Une coche apparaît devant l'option Ajustement automatique de la taille des colonnes dans le menu contextuel et les colonnes sont automatiquement redimensionnées.

Si vous sélectionnez à nouveau Ajustement automatique de la taille des colonnes, la coche disparaît et le redimensionnement automatique n'est plus effectué.

Pour visualiser ces effets, sélectionnez un autre noeud dans l'arborescence de gauche et resélectionnez le noeud d'origine.

Rubriques connexes :
Colonnes du panneau de droite | Afficher tout
Masquer tout | Commande Filtre
Commande Autres | Colonnes affichées dans le panneau de droite


Filtre

Filtre (menu Affichage)

Invoque la boîte de dialogue Définition d'un filtre permettant de définir des filtres de présentation.

Les filtres se composent de critères limitant l'affichage des noeuds dans le panneau de droite. Seuls les noeuds correspondant aux critères sont affichés. Par défaut, aucun critère n'est défini et tous les noeuds sont affichés.

Remarque : Vous pouvez également invoquer la boîte de dialogue en double-cliquant sur une colonne à droite de la colonne Informations dans le panneau de droite et en sélectionnant Filtre dans le menu contextuel.

Raccourcis
Touches :
Alt+H,F
Rubriques connexes :

Boîte de dialogue Définition d'un filtre


Commande Autres – Utilisation pour plusieurs colonnes

Utilisez la commande Autres pour sélectionner plusieurs colonnes lorsque vous définissez les colonnes à afficher dans le panneau de droite et lorsque vous réorganisez des colonnes.

1. | Sélectionnez un noeud approprié (selon le module d'extension actif) dans l'arborescence de gauche. Plusieurs colonnes apparaissent dans le panneau de droite.
2. | Cliquez avec le bouton droit de la souris sur une colonne située à droite de la colonne Informations. Un menu contextuel apparaît.
3. | Dans le menu contextuel, sélectionnez Autres. La boîte de dialogue Sélection des colonnes apparaît.

Boîte de dialogue Sélection des colonnes

Dans cette boîte de dialogue, vous pouvez afficher ou masquer plusieurs colonnes à votre guise.

Pour masquer une colonne, sélectionnez-la et cliquez sur le bouton Masquer.
Pour afficher une colonne, sélectionnez-la et cliquez sur le bouton Afficher.
Vous pouvez également utiliser les boutons Masquer et Afficher après avoir sélectionné plusieurs colonnes.

Vous pouvez également réorganiser les colonnes à votre guise.
Pour réorganiser les colonnes, sélectionnez une ou plusieurs colonnes, et cliquez sur le bouton Déplacer vers le haut ou Déplacer vers le bas pour les réorganiser à votre convenance.

Si vous avez sélectionné plusieurs colonnes et utilisé le bouton Déplacer vers le haut, un de vos éléments finit par constituer le premier élément de la liste. Cliquez à nouveau sur le bouton Déplacer vers le haut pour déplacer à chaque clic les autres éléments d'une position vers le haut.
Vous pouvez ainsi réorganiser facilement les ensembles de colonnes.

Si plusieurs personnes utilisent cet ordinateur, chaque utilisateur voit ses paramètres de réorganisation de colonnes, propres à chaque type de noeud sélectionné, enregistrés dans un registre utilisateur personnel.

Rubriques connexes :
Colonnes du panneau de droite | Définition d'un filtre
Boîte de dialogue Définition d'un filtre | Expressions régulières
Masquer tout | Afficher tout


Opérations liées au menu Fichier

Le menu Fichier contient les rubriques (commandes) suivantes :


Nouveau :

Nouveau (menu Fichier)

Crée un noeud dans l'interface graphique de l'explorateur. La commande n'est active que si le noeud actuellement sélectionné prend en charge la commande.

Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Barre d'outils : |
Touches : | Ctrl+N ; Alt+F,N
Souris : | Reportez-vous à l'aide du module d'extension actif.


Renommer

Renommer (menu Fichier)

Renomme un noeud existant dans l'interface graphique de l'explorateur. Les noeuds prenant en charge cette commande dépendent du module d'extension.

Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Touches : | Alt+F,R
Souris : | Reportez-vous à l'aide du module d'extension actif.

Remarque : Certains modules d'extension permettent de renommer un noeud différemment.
1. Sélectionnez un noeud, cliquez sur le bouton droit de la souris et sélectionnez Propriétés (si possible). Une boîte de dialogue apparaît.
2. Dans cette boîte de dialogue, renommez le noeud si le champ Nom n'est pas grisé.


Supprimer

Supprimer (menu Fichier)

Supprime un noeud existant dans l'interface graphique de l'explorateur. La commande Supprimer n'est active que si vous sélectionnez des noeuds spécifiques.

Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Barre d'outils : |
Touches : | Suppr ; Alt+F,S
Souris : | Reportez-vous à l'aide du module d'extension actif.


Propriété

Propriétés (menu Fichier)

Invoque une boîte de dialogue de propriétés des noeuds prenant en charge la commande Propriétés. La commande n'est disponible que si des noeuds spécifiques sont actifs au moment où elle est sélectionnée.

Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Barre d'outils : |
Touches : | Alt+F,O ; Alt+Entrée
Souris : | Reportez-vous à l'aide du module d'extension actif.

Remarque : L'option Propriétés est active dans le menu contextuel des noeuds dotés du bouton Propriétés.


Ajouter un signet (menu Fichier)

Ajoute un signet au noeud sélectionné dans le module d'extension de l'interface graphique de l'explorateur actif. Vous pouvez ajouter des signets aux noeuds des vues de liste et d'arborescence.

Pour consulter vos signets, sélectionnez Volet d'exploration, Signets dans le menu Affichage.
La vue Signets remplace la fenêtre de sélection du volet d'exploration et vos signets apparaissent dans le panneau de gauche.

Les paramètres des signets sont stockés dans le registre en fonction du noeud racine actif de chaque utilisateur.

Si plusieurs instances d'interface graphique de l'explorateur sont exécutées et que les signets sont mis à jour depuis une instance, les modifications sont répercutées dans les autres instances.

Raccourci
Barre d'outils : |
Touches : | Ctrl+Maj+B ; Alt+F, A


Nouveau navigateur (menu Fichier)

Ouvre une nouvelle fenêtre d'interface graphique de l'explorateur à l'aide du module d'extension actif.

Le noeud racine de la nouvelle instance d'interface graphique de l'explorateur est identique à celui de son instance de création.

Raccourcis
Barre d'outils : |
Touches : | Alt+F,V


Explorer à partir de

Ouvre une nouvelle fenêtre d'interface graphique de l'explorateur avec le module d'extension actuellement actif.

Son noeud racine est le noeud à partir duquel la sélection Explorer à partir de a été effectuée.

Un module d'extension peut fournir des informations supplémentaires qui sont transmises à la nouvelle instance et peuvent être extraites par le nouveau module d'extension.

Remarque : L'option Explorer à partir de n'est pas disponible dans tous les noeuds du module d'extension de l'interface graphique de l'explorateur.
Si l'option Explorer à partir de n'est pas activée, elle apparaît en grisé dans le menu Fichier et dans la barre d'outils.

Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Barre d'outils : |
Touches : | Alt+F,E
Souris : | Reportez-vous à l'aide du module d'extension actif.


Fermeture de l'interface graphique de l'explorateur

Quitter (menu Fichier)

Met fin à la session de l'interface graphique de l'explorateur. Vous pouvez également utiliser la commande Fermer du menu système pour mettre fin à la session.

Raccourcis
Touches : | Alt+F4 ou Alt+F, Q
Souris : | Double-cliquez sur le bouton du menu système de l'interface graphique de l'explorateur.


Opérations liées au menu Edition

Le menu Edition contient les rubriques (commandes) suivantes :


Couper

Couper (menu Edition)

Supprime les noeuds actuellement sélectionnés et les insère dans le Presse-papiers.

Remarque : Les noeuds supprimés remplacent les éléments précédemment contenus dans le Presse-papiers.

Cette commande n'est pas disponible si aucun noeud prenant en charge la commande n'est actuellement sélectionné.
Sélectionnez un noeud prenant en charge la commande.

Raccourcis
Barre d'outils : |
Touches : | Ctrl+X ; Alt+E,C ; Maj+Suppr
Souris : | Reportez-vous à l'aide du module d'extension actif.
Rubriques connexes :

Commande Copier
Commande Coller


Copier

Copier (menu Edition)

Copie les noeuds actuellement sélectionnés et les insère dans le Presse-papiers.

Remarque : Les noeuds copiés remplacent les éléments précédemment insérés dans le Presse-papiers.

Cette commande n'est pas disponible si aucun noeud prenant en charge la commande n'est actuellement sélectionné.

Sélectionnez un noeud prenant en charge la commande, ou sélectionnez plusieurs noeuds en décrivant un mouvement circulaire dans une zone de la première colonne du panneau de droite, afin de sélectionner au moins un noeud.

Raccourcis
Barre d'outils : |
Touches : | Ctrl+C ; Alt+E,P ; Ctrl+Inser
Souris : | Reportez-vous à l'aide du module d'extension actif.
Rubriques connexes :

Commande Couper
Commande Coller


Copie sous forme de texte

Copier comme texte (menu Edition)

Copie les éléments actuellement sélectionnés (par exemple, les informations contenues dans le panneau de droite) et les insère dans le Presse-papiers sous forme de texte.

Remarque : Les éléments copiés remplacent les éléments précédemment insérés dans le Presse-papiers.

La commande n'est pas disponible si aucun élément n'est sélectionné.

Pour effectuer une copie sous forme de texte, procédez comme suit :

1. | Sélectionnez les éléments en décrivant un mouvement rectangulaire dans la zone voulue du panneau de droite.
2. | Dans le menu Edition, sélectionnez Copier comme texte.

Les colonnes affichées, ainsi que les données associées aux éléments sélectionnés, sont copiées dans le Presse-papiers sous forme de texte séparé par des tabulations (format CF_TEXT du Presse-papiers).

Vous pouvez, par exemple, insérer les informations séparées par des tabulations dans un document Word, Excel ou issu de toute autre application prenant en charge le texte contenu dans le Presse-papiers.

Exportation des listes de l'interface graphique pour impression

Le processus de copie mentionné plus haut permet d'imprimer les détails du panneau de droite dans un fichier ou via une imprimante.

Remarque 1 : L'option Copier comme texte est disponible si vous sélectionnez l'une des options de vue Détails, Liste, Grandes icônes ou Petites icônes du panneau de droite. La sélection est décrite comme si vous aviez choisi l'option de vue Détails.

Remarque 2 : Vous ne pouvez copier que les colonnes à afficher, définies à l'aide des processus de sélection de la vue Détails.

Remarque 3 : Si vous sélectionnez des colonnes et des lignes dans le panneau de droite, vous copiez toutes les colonnes correspondant aux lignes sélectionnées.

Raccourcis
Touches :
Ctrl+W ; Alt+E,E
Rubriques connexes :
Commande Copier | Colonnes affichées dans le panneau de droite
Commande Couper | Réorganisation des colonnes dans le panneau de droite
Commande Coller |


Commande Coller

Commande Coller (menu Edition)

Insère une copie des éléments contenus dans le Presse-papiers au point d'insertion sélectionné, si le noeud prend en charge la commande de collage.

Cette commande n'est pas disponible si le Presse-papiers est actuellement vide.

Remarque : Vous pouvez coller les noeuds d'une classe dans les noeuds d'une autre classe. Les combinaisons autorisées sont déterminées par le module d'extension actif.

Pour utiliser la commande de collage, procédez comme suit :
Copiez ou coupez les données souhaitées. Sélectionnez un noeud prenant en charge la commande Coller.

Raccourcis
Barre d'outils : |
Touches : | Ctrl+V ; Alt+E,O; Maj+Inser
Souris : | Reportez-vous à l'aide du module d'extension actif.

Remarque : Le bouton Coller de la barre d'outils et l'option Coller du menu Edition permettent d'exécuter une commande de collage, tandis qu'un menu contextuel peut en exécuter une ou plusieurs. Si le menu contextuel contient plusieurs exécutions de la commande Coller pour le noeud d'un module d'extension, l'une d'elles est sélectionnée et exécutée par défaut si vous sélectionnez le bouton Coller ou l'option Coller du menu Edition.
Pour plus de détails, reportez-vous à l'aide en ligne du module d'extension.

Rubriques connexes :

Commande Copier
Commande Copier comme texte
Commande Couper


Sélectionner tout

Sélectionner tout (menu Edition)

Sélectionne tous les noeuds du panneau de droite.

Pour sélectionner tous les noeuds du panneau de droite, procédez comme suit :

1. | Sélectionnez un noeud d'arborescence.
2. | Dans le menu Edition, sélectionnez Sélectionner tout ou cliquez avec le bouton droit de la souris à un emplacement vide du panneau de droite et choisissez Sélectionner tout dans le menu contextuel.

Raccourcis
Touches :
Ctrl+A ; Alt+E, N
Rubriques connexes :

Commande Inverser la sélection | Commande Copier
Commande Copier comme texte |


Inverser la sélection

Inverser la sélection (menu Edition)

Inverse la sélection actuelle de noeuds dans la vue de liste du panneau de droite.

La commande inverse les sélections effectuées au cours de la première étape d'exécution d'une commande Copier, Copier comme texte ou Sélectionner tout. En d'autres termes, les noeuds sélectionnés sont désélectionnés, et inversement.

Cette commande peut servir d'alternative à la commande Sélectionner tout, si elle est exécutée alors qu'aucun noeud n'est sélectionné dans le panneau de droite.

Raccourcis
Touches :
Alt+E,I
Rubriques connexes :
Commande Sélectionner tout | Commande Copier
Commande Copier comme texte |


Opérations liées au menu Affichage

Le menu Affichage contient les rubriques (commandes) suivantes :

Barres d'outils, Boutons Standard
Barres d'outils, Barre d'adresses
Barres d'outils, Sélecteur de vues
Volet d'exploration, Arborescence
Volet d'exploration, Historique
Volet d'exploration, Signets
Barre d'état
Barre de sortie
Barre du didacticiel
Vue actuelle,
Comme une page Web
Grandes icônes
Petites icônes
Liste
Détails
Graphique
Actualiser
Actualiser le temporisateur
Actualiser lors de la sélection
Filtre
Polices, Explorateur
Polices, Boîtes de dialogue


Barres d'outils, Boutons Standard

Barres d'outils, Boutons Standard (menu Affichage)

Affiche ou masque les boutons standard de la barre d'outils. Si l'élément de menu est coché, la barre d'outils dotée des boutons standard est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

Les boutons standard apparaissent par défaut.

Raccourcis
Touches :
Alt+H, U, U
Rubriques connexes :

Barre d'outils de l'interface graphique de l'explorateur
Barres d'outils, Barre d'adresses
Barres d'outils, Sélecteur de vues


Barres d'outils, Barre d'adresses

Barres d'outils, Barre d'adresses (menu Affichage)

Affiche ou masque la barre d'adresses. Si l'élément de menu est coché, la barre d'adresses est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

La barre d'adresses n'apparaît pas par défaut.

Généralement, le noeud racine ou la séquence de noeuds concaténés actuellement sélectionnés apparaissent dans la barre d'adresses. Le contenu dépend du module d'extension actif de l'interface graphique de l'explorateur et du noeud actuellement sélectionné.

Raccourcis
Touches :
Alt+H,U,R
Rubriques connexes :

Barres d'outils, Boutons Standard
Barre d'outils de l'interface graphique de l'explorateur
Barres d'outils, Sélecteur de vues


Barres d'outils, Sélecteur de vues

Barres d'outils, Sélecteur de vues (menu Affichage)

Affiche ou masque la liste modifiable du sélecteur de modes de vue, située au-dessus du panneau de droite, sous les boutons de la barre d'outils. Si l'élément de menu est coché, la barre d'outils du sélecteur de vues est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

La liste modifiable contient les modes de vue suivants : Détails, Liste, Grandes icônes, Petites icônes et (parfois) Graphique. La liste réelle dépend des modes de vue pris en charge par le noeud sélectionné dans l'arborescence de gauche.

.

Sélectionnez le mode de vue dans la liste modifiable pour contrôler la présentation dans le panneau de droite.

Sélectionner le mode de vue dans la liste modifiable du sélecteur de vues revient à le sélectionner dans le menu Affichage ou à partir du bouton déroulant d'affichage de la barre d'outils.

Raccourcis
Touches :
Alt+H,U,V
Rubriques connexes :

Barres d'outils, Boutons Standard
Barre d'outils de l'interface graphique de l'explorateur
Barres d'outils, Barre d'adresses
Volet d'exploration, Commentaires


Volet d'exploration, Arborescence

Volet d'exploration, Arborescence (menu Affichage)

Affiche ou masque l'arborescence de gauche. Si l'élément de menu est coché, la vue d'arborescence de gauche est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

L'arborescence est affichée par défaut.

Raccourcis
Touches :
Ctrl+T ; Alt+H,E,A
Rubriques connexes :
Volet d'exploration, Historique | Volet d'exploration, Commentaires
Volet d'exploration, Signets | Afficher/masquer le volet d'exploration


Volet d'exploration, Historique

Volet d'exploration, Historique (menu Affichage)

Affiche ou masque la vue d'historique dans la vue de gauche. Si l'élément de menu est coché, la vue d'historique est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

La vue d'historique est désactivée par défaut.

La vue d'historique contient la liste de tous les noeuds visités lors de la session actuelle.

Lorsque vous sélectionnez la vue d'historique, vous pouvez parcourir les noeuds visités à l'aide des boutons Précédent et Suivant de la barre d'outils ou des combinaisons de touches Alt+touche de direction gauche (en arrière) et Alt+touche de direction droite (en avant). Vous pouvez également parcourir cette liste à l'aide des touches de direction. Pour sélectionner un élément, cliquez dessus avec le bouton gauche de la souris.

L'historique stocke le mode de vue actif (selon que vous utilisiez le mode de vue Grandes icônes, Petites icônes, Liste, Détails ou Graphique).

Les entrées d'historique ne sont pas enregistrées entre chaque session d'interface graphique de l'explorateur.

Raccourcis
Touches :
Ctrl+H ; Alt+H,E,H
Rubriques connexes :
Volet d'exploration, Arborescence | Volet d'exploration, Commentaires
Volet d'exploration, Signets | Afficher/masquer le volet d'exploration


Volet d'exploration, Signets (menu Affichage)

Affiche ou masque la vue des signets dans la vue de gauche. Si l'élément de menu est coché, la vue d'historique est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

La vue des signets est désactivée par défaut.

Lorsque la vue des signets est sélectionnée, parcourez la liste à l'aide des touches de direction et affichez un noeud référencé par un signet à l'aide de la touche Entrée.

Pour afficher un noeud, sélectionnez le signet correspondant, cliquez sur le bouton droit de la souris et sélectionnez Ouvrir dans le menu contextuel du signet.

Vous pouvez renommer et supprimer les signets via le menu contextuel prévu à cet effet.

Un signet stocke le mode de vue actif (selon que vous utilisiez Grandes icônes, Petites icônes, Liste, Détails ou Graphique).

Les signets sont sauvegardés après chaque session de l'interface graphique de l'explorateur.

Raccourcis
Touches : | Ctrl+B ; Alt+H,E,S
Souris : | Sélectionnez un signet qui fait référence à un noeud en cliquant avec le bouton gauche de la souris pour afficher ce noeud. Un double clic affiche la vue d'arborescence.
Rubriques connexes :
Volet d'exploration, Arborescence | Volet d'exploration, Commentaires
Volet d'exploration, Historique | Afficher/masquer le volet d'exploration
Ajouter un signet |


Barre d'état

Barre d'état (menu Affichage)

Affiche ou masque la barre d'état. Si l'élément de menu est coché, la barre d'état est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

La barre d'état est affichée par défaut.

La barre d'état se trouve au bas de la fenêtre de l'interface graphique de l'explorateur.

A gauche figure une description du nombre de noeuds enfant présents dans le noeud parent et de l'action exécutée par l'élément de menu sélectionné ou le bouton de la barre d'outils sur lequel vous avez cliqué (par exemple, 3 objets sélectionnés).

A droite, vous disposez d'un rappel des touches du clavier verrouillées.

Raccourcis
Touches :
Alt+H, B
Rubriques connexes :

Description de la barre d'état


Description de la barre de sortie

Barre de sortie (menu Affichage)

Affiche ou masque la barre de sortie. Si l'élément de menu est coché, la barre de sortie est actuellement affichée. Vous pouvez activer ou désactiver son affichage.

Si la barre de sortie est affichée, vous pouvez la masquer à l'aide du bouton de fermeture situé dans son en-tête.

Lorsque la barre de sortie est affichée, elle se trouve dans le panneau de droite de la fenêtre d'application.

Cette option est valide pour les noeuds sélectionnés dans les différents modules d'extension de l'interface graphique de l'explorateur. Le module d'extension crée la vue de la barre sortie. Tous les noeuds ne prennent pas en charge ce type de barre.

Si la barre de sortie est affichée, vous pouvez la développer ou la réduire en déplaçant sa barre horizontale supérieure vers le haut ou vers le bas à l'aide de la souris.

Raccourcis
Touches :
Alt+H,D


Barre du didacticiel (Menu Affichage)

Affiche ou masque la barre du didacticiel.

Si l'élément de menu est activé, le noeud actif prend en charge la barre du didacticiel. Vous pouvez activer ou désactiver son affichage.

Si l'élément de menu est désactivé, le noeud actif ne prend pas en charge la barre du didacticiel. Vous ne pouvez pas modifier l'état de la case à cocher. Toutefois, si la case est cochée, la barre du didacticiel est activée et apparaît au niveau de tous les noeuds qui la prennent en charge.

Si la barre du didacticiel est affichée, vous pouvez la masquer à l'aide du bouton de fermeture situé dans son en-tête.

Si la barre du didacticiel est affichée, elle se trouve dans la partie droite du panneau de droite.

La barre du didacticiel est activée par défaut au niveau de tous les noeuds qui la prennent en charge.

La barre du didacticiel peut apparaître pour chaque noeud ou de façon globale sur la totalité du module d'extension. Elle n'est pas prise en charge par tous les modules d'extension ni tous les noeuds.

Si la barre du didacticiel apparaît, vous pouvez la développer ou la réduire en déplaçant sa barre verticale gauche vers la gauche ou vers la droite à l'aide de la souris.

Raccourcis
Touches :
Alt+H,C


Comme une page Web

Comme une page Web (menu Affichage)

Affiche les noeuds du panneau de droite sous la forme d'une page Web. Si l'élément de menu est coché, le mode Comme une page Web est actif. Vous pouvez activer ou désactiver son affichage.

Les noeuds prenant en charge la commande dépendent du module d'extension actif. Lorsque cette commande est sélectionnée, l'option Graphique n'est pas disponible.

Raccourcis
Touches :
Alt+H,C,W
Rubriques connexes :

Graphique
Bouton Modifier la vue


Grandes icônes

Grandes icônes (menu Affichage)

Affiche les noeuds enfants du noeud parent sélectionné sous forme de grandes icônes dans le panneau de droite.

Raccourcis
Touches :
Alt+H,C,G
Rubriques connexes :

Détails | Liste
Petites icônes | Bouton Modifier la vue


Petites icônes

Petites icônes (menu Affichage)

Affiche les noeuds enfant du noeud parent sélectionné sous forme de petites icônes dans le panneau de droite.

Raccourcis
Touches :
Alt+H,C,I
Rubriques connexes :

Grandes icônes | Détails
Liste | Bouton Modifier la vue


Liste

Liste (menu Affichage)

Affiche les noeuds enfant du noeud parent sélectionné dans la liste du panneau de droite. Une colonne contenant les noms des noeuds y est affichée.

Raccourcis
Touches :
Alt+H,C,L
Rubriques connexes :

Grandes icônes | Détails
Petites icônes | Bouton Modifier la vue


Détails

Détails (menu Affichage)

Affiche les noeuds enfant du noeud parent sélectionné dans une liste du panneau de droite. La liste comporte plusieurs colonnes. Le contenu dépend du module d'extension actif et du noeud sélectionné.

Raccourcis
Touches :
Alt+H,C,D
Rubriques connexes :

Grandes icônes | Liste
Petites icônes | Bouton Modifier la vue


Graphique

Graphique (menu Affichage)

Affiche les noeuds du panneau de droite sous forme graphique.
Si l'élément de menu est coché, le mode de vue Graphique est actif.

Les noeuds prenant en charge cette commande dépendent du module d'extension actif.
Lorsque cette option est sélectionnée, l'option Comme une page Web n'est pas disponible.

Raccourcis
Touches :
Alt+H,C,R
Rubriques connexes :

Comme une page Web
Bouton Modifier la vue


Actualiser (dans le menu)

Actualiser (menu Affichage)

Actualise le noeud d'arborescence actuellement sélectionné et la vue de liste.

Raccourcis

Barre d'outils : |
Touches : | Alt+H,T ; F5

Rubriques connexes :

Actualiser lors de la sélection
Commande Actualiser le temporisateur
Boîte de dialogue Temporisateur d'actualisation


Temporisateur d'actualisation

Actualiser le temporisateur (menu Affichage)

Invoque la boîte de dialogue Temporisateur d'actualisation permettant de définir la valeur du temporisateur d'actualisation.

Une fois sélectionnés, ces paramètres de temporisateur d'actualisation permettent à différentes classes de noeuds de l'interface graphique de l'explorateur de contrôler leur fréquence d'actualisation.

Remarque : Les noeuds enfant de l'arborescence de gauche appartenant à différents noeuds parent ont des paramètres indépendants. Cela s'applique également aux sous-entités. Pour plus de détails sur les classes de noeuds d'un module d'extension, reportez-vous à l'aide en ligne des modules d'extension.

Raccourcis
Touches :
Alt+H,L
Rubriques connexes :

Actualiser
Actualiser lors de la sélection
Boîte de dialogue Temporisateur d'actualisation


Actualiser lors de la sélection

Actualiser lors de la sélection (menu Affichage)

Cochez cette option pour extraire les informations actuelles d'un noeud et de ses noeuds enfant lorsque vous le sélectionnez.

Si l'élément de menu est coché, l'option est actuellement sélectionnée. Vous pouvez activer ou désactiver son affichage.
L'élément de menu est coché par défaut.

Remarque : Si vous ne cochez pas cette option, les données mises en mémoire cache localement sont utilisées lorsque vous sélectionnez un noeud.

Raccourcis
Touches :
Alt+H,S
Rubriques connexes :

Actualiser
Commande Actualiser le temporisateur
Boîte de dialogue Temporisateur d'actualisation


Polices - Explorateur

Polices de l'explorateur (menu Affichage)

Deux options permettent de modifier la police utilisée dans l'interface graphique de l'explorateur. La première permet de modifier les vues de liste et d'arborescence et la seconde s'adresse aux boîtes de dialogue.

Pour modifier la police utilisée par l'interface graphique de l'explorateur dans les vues d'arborescence et de liste, sélectionnez Affichage, Polices, Explorateur. La boîte de dialogue Police s'ouvre et vous pouvez alors définir la police, son style, sa taille et son script (parmi les scripts de langue disponibles pour la police spécifiée).

Remarque : La police Times New Roman MT 30 permet de prendre en charge un grand nombre de langues et de scripts de langue (par exemple, Occidental, Japonais, Hangûl, Hangûl (Johab), Chinois_GB2312, Chinois_Big5, Hébreu, Arabe, Grec, Turc, Baltique, Europe centrale, Cyrillique et Thaï).

Raccourcis
Touches :
Alt+H,O,E
Rubriques connexes :

Polices de l'explorateur et des boîtes de dialogue


Polices – Boîtes de dialogue

Polices de l'explorateur et des boîtes de dialogue (menu Affichage)

Deux options permettent de modifier la police utilisée dans l'interface graphique de l'explorateur. La première permet de modifier les vues de liste et d'arborescence et la seconde s'adresse aux boîtes de dialogue.

Pour modifier la police utilisée dans les boîtes de dialogue de l'interface graphique de l'explorateur, sélectionnez Affichage, Polices, Boîtes de dialogue. La boîte de dialogue Police s'ouvre et vous pouvez alors définir la police, son style, sa taille et son script (parmi les scripts de langue disponibles pour la police spécifiée).

Remarque : La police Times New Roman MT 30 permet de prendre en charge un grand nombre de langues et de scripts de langue (par exemple, Occidental, Japonais, Hangûl, Hangûl (Johab), Chinois_GB2312, Chinois_Big5, Hébreu, Arabe, Grec, Turc, Baltique, Europe centrale, Cyrillique et Thaï).

Raccourcis
Touches :
Alt+H,O,B
Rubriques connexes :

Polices de l'explorateur


Opérations liées au menu Outils

Le menu Outils contient la rubrique (commande) suivante : Options de l'Explorer GUI


Options de l'Explorer GUI

Options de l'Explorer GUI (menu Outils)

Cette boîte de dialogue contient deux options. Chacune dispose d'une case à cocher.

Cochez la case de l'option Développer automatiquement les éléments lors de la sélection pour que les noeuds de l'arborescence de gauche se développent lorsque vous les sélectionnez. L'interface graphique de l'explorateur fonctionne en mode développé.
Si vous désactivez l'option, aucun noeud ne se développe dans l'arborescence de gauche lorsque vous les sélectionnez.
Le mode développé est sélectionné par défaut.

Cochez la case de l'option Confirmer la suppression pour afficher cette boîte de dialogue lorsque vous sélectionnez le bouton Supprimer. Cette option est cochée par défaut.

Raccourci
Touches :
Alt+O,O
Rubriques connexes :

Boîte de dialogue Confirmation de la suppression
Boîte de dialogue Confirmation de la suppression (Signet)
Supprimer


Opérations liées au menu Aide

Le menu Aide contient les rubriques (commandes) suivantes :


Rubriques d'aide

Rubriques d'aide (Menu Aide)

Lorsque vous sélectionnez Aide, Contenu et index, un choix vous est proposé. Quelle aide souhaitez-vous ouvrir ?
Plusieurs choix vous sont proposés dans la liste. L'interface graphique de l'explorateur et au moins un module d'extension y sont toujours inclus.

Si vous sélectionnez Explorer GUI, l'écran d'accueil de l'aide de l'interface graphique de l'explorateur s'affiche.

A partir de l'écran d'accueil, vous pouvez sélectionner les liens permettant d'accéder aux instructions d'utilisation de l'interface graphique de l'explorateur et à différents types d'informations de référence.

Cliquez sur l'onglet Contenu pour afficher le sommaire du fichier d'aide.

Cliquez sur l'onglet Index pour afficher la liste des rubriques ou des mots-clés que vous pouvez faire défiler. Sélectionnez un élément et cliquez sur le bouton Affichage pour ouvrir la rubrique d'aide correspondante.

Cliquez sur l'onglet Rechercher, entrez le mot à rechercher et cliquez sur le bouton Liste des rubriques pour obtenir la liste des rubriques contenant ce mot. Choisissez une rubrique et cliquez sur le bouton Affichage pour ouvrir la rubrique d'aide.

Si vous cliquez sur l'onglet Favoris, la zone d'affichage de gauche est vide au démarrage. Cliquez sur le bouton Ajouter pour ajouter la rubrique d'aide sélectionnée à la liste des rubriques.

Sélectionnez un élément dans la liste, puis cliquez sur le bouton
Supprimer pour supprimer cet élément.
Cliquez sur le bouton Affichage pour afficher la rubrique.
Cliquez sur le bouton droit de la souris et sélectionnez Renommer dans le menu contextuel pour renommer l'élément à votre convenance. Il est toujours fait référence à la même rubrique.

Raccourcis

Touches :
Alt+A,C

Rubriques connexes :

A propos de
Astuce du jour
Bouton Aide


Astuce du jour

Astuce du jour (menu Aide)

Affiche l'astuce du jour du module d'extension actuellement actif. Vous pouvez choisir d'afficher l'astuce lorsque l'interface graphique de l'explorateur démarre avec ce module d'extension.

Raccourcis

Touches :
Alt+A,J

Rubriques connexes :

Boîte de dialogue Astuce du jour


A propos d'Explorer GUI

A propos d'Explorer GUI (menu Aide)

Lorsque vous sélectionnez Aide, A propos de, un choix vous est proposé. Quel est le programme dont vous souhaitez obtenir des informations ?
Plusieurs choix vous sont proposés dans la liste. L'interface graphique de l'explorateur et au moins un module d'extension y sont toujours inclus.

Si vous sélectionnez l'interface graphique de l'explorateur, la boîte de dialogue A propos de correspondante apparaît.

Raccourcis

Touches :
Alt+A,A,E

Rubriques connexes :

Boîte de dialogue A propos d'Explorer GUI


A propos d'Explorer GUI - Boîte de dialogue

A propos d'Explorer GUI (boîte de dialogue)

Cette boîte de dialogue affiche le nom et la version de l'interface graphique de l'explorateur (version exécutable, version de la bibliothèque de liens dynamiques et version de la bibliothèque de ressources), ainsi que les noms des modules d'extension actuellement chargés.

Le champ Modules d'extension chargés contient les modules d'extension enregistrés auprès de l'interface graphique de l'explorateur. Les colonnes Nom, Version DLL et Version ressources sont disponibles.

Rubriques connexes :

Commande A propos de, Explorer GUI


Boîte de dialogue Confirmation de la suppression (Signet)

Cette boîte de dialogue peut apparaître lorsque vous supprimez un signet sélectionné. Cliquez sur Oui pour confirmer la suppression du signet. Cliquez sur Non pour annuler la suppression.

La boîte de dialogue n'apparaît pas si vous désélectionnez l'option Confirmer la suppression.

Rubriques connexes :

Confirmer la suppression
Boîte de dialogue Confirmation de la suppression


Boîte de dialogue Confirmation de la suppression

Cette boîte de dialogue peut apparaître lorsque vous supprimez un noeud ou un groupe de noeuds sélectionné. Cliquez sur Oui pour confirmer la suppression du noeud. Cliquez sur Non pour annuler la suppression.

La boîte de dialogue n'apparaît pas si vous désélectionnez l'option Confirmer la suppression.


Bouton Afficher/masquer le volet d'exploration

Afficher/masquer le volet d'exploration (bouton)

Affiche ou masque le volet d'exploration (arborescence de gauche). Vous pouvez activer ou désactiver son affichage.

Le volet d'exploration est affiché par défaut. S'il est affiché, vous pouvez développer ou réduire la vue d'arborescence de gauche en déplaçant la barre verticale droite vers la droite ou vers la gauche à l'aide de la souris.

Raccourcis
Barre d'outils :

Rubriques connexes :
Volet d'exploration, Arborescence | Volet d'exploration, Historique
Volet d'exploration, Signets | Volet d'exploration, Commentaires


Volet d'exploration, Commentaires

Située à l'extrême gauche de la fenêtre de l'interface graphique de l'explorateur, entre les boutons de la barre d'outils et la vue d'arborescence de gauche, la fenêtre de sélection du volet d'exploration affiche l'élément actuellement sélectionné dans le volet d'exploration : Arborescence, Historique ou Signets.

Si toutes les options du volet d'exploration (Arborescence, Historique et Signets) sont désactivées, le contenu du panneau de droite déborde sur l'interface graphique de l'explorateur (la vue de gauche disparaît totalement).

Dans ce cas, la fenêtre de sélection du volet d'exploration n'est plus affichée.

Rubriques connexes :
Volet d'exploration, Arborescence | Volet d'exploration, Historique
Volet d'exploration, Signets | Afficher/masquer le volet d'exploration


Boîte de dialogue Définition d'un filtre

Permet de définir les filtres de présentation.

Seuls les éléments correspondant aux critères définis sont affichés. Chaque critère se compose d'un nom de colonne, d'une condition et d'une expression. Vous pouvez définir plusieurs critères pour un même noeud.

Pour définir un critère, procédez comme suit :

1. Cliquez sur le bouton Colonnes pour afficher la liste des noms disponibles. Vous pouvez sélectionner n'importe quel nom.
La liste des noms dépend du module d'extension actif et du noeud actuellement sélectionné.

2. Dans le champ Condition, sélectionnez l'une des valeurs proposées

  • correspond
  • ne correspond pas et
  • correspondance regexp

3. Dans le champ Expression, entrez une chaîne de caractères. Vous pouvez également utiliser des caractères génériques (si vous n'avez pas sélectionné correspondance regexp dans le champ Condition) :

  • ? pour rechercher un caractère unique et
  • * pour rechercher un ou plusieurs caractères.

Lorsque vous avez créé une expression, sélectionnez le bouton Ajouter à la liste pour ajouter l'expression au champ situé en haut dans la boîte de dialogue.

Lorsque la case de l'expression est cochée (par défaut), l'expression entre en vigueur à la fermeture de la boîte de dialogue.
Si vous cliquez sur la case, la coche est enlevée. L'expression n'entre pas en vigueur à la fermeture de la boîte de dialogue, mais elle est sauvegardée dans un registre utilisateur personnel.

Pour supprimer une seule expression, sélectionnez-la et cliquez sur Supprimer. Pour supprimer toutes les expressions répertoriées, sélectionnez Supprimer tout.

Rubriques connexes :

Filtrage
Expressions régulières


Aide d'Explorer GUI

Explorer GUI (Menu Aide)

Sélectionnez cet élément de menu pour afficher l'écran d'accueil de l'aide de l'interface graphique de l'explorateur.

L'écran d'accueil vous permet d'accéder aux instructions étape par étape d'utilisation de l'interface graphique de l'explorateur et à différents types d'informations de référence.

Dès que vous avez ouvert l'aide, vous pouvez à tout moment cliquer sur le bouton Contenu pour revenir à l'écran d'accueil.

Raccourcis
Touches :
Alt+A,C,E


Remarque sur la colonne Informations

La colonne Informations n'existe pas nécessairement dans tous les noeuds des modules d'extension de l'interface graphique de l'explorateur. Son nom peut être différent, selon le module d'extension actif.

Si elle existe, elle contient des informations sur le noeud sélectionné dans la vue d'arborescence de gauche.

Si elle n'existe pas, l'en-tête de vue de liste, accompagné de toutes les colonnes de données propres au noeud et au module d'extension sélectionnés, s'étend sur toute la partie supérieure du panneau de droite (en dehors de la barre du didacticiel).

Cet en-tête de vue de liste permet d'accéder à la plupart des commandes de menu contextuel répertoriées dans les opérations liées au menu Liste.


Message d'erreur relatif aux éléments exclus

Vous avez exécuté une opération non autorisée pour un ou plusieurs éléments. La liste contient les noms des éléments exclus de l'opération.


Boîte de dialogue Temporisateur d'actualisation

Permet de définir la valeur du temporisateur d'actualisation.

La valeur par défaut est Désactivé, c'est-à-dire qu'aucune actualisation automatique n'est effectuée.
Ce paramétrage s'applique au noeud actuel et aux noeuds du même type que celui sélectionné.

En faisant glisser la barre vers la droite, vous pouvez définir une valeur d'actualisation comprise entre 5 secondes et 5 minutes.
L'intervalle d'actualisation augmente au fur et à mesure que vous faites glisser la barre vers la droite (5, 10, 15, 20, 25 et 30 secondes, 1, 2, 3, 4 et 5 minutes). Choisissez une valeur et cliquez sur Fermer pour valider votre choix.

Les noeuds contenus dans les arborescences possèdent des réglages indépendants. Cela s'applique également aux noeuds enfant.

Remarque : L'option Actualiser lors de la sélection vous permet d'extraire les informations actuelles d'un noeud et de ses noeuds enfant lorsque vous le sélectionnez, ou d'utiliser plutôt des données mises en mémoire cache localement. Par ailleurs, le temporisateur d'actualisation permet de contrôler le processus d'actualisation du noeud sélectionné après que vous l'avez défini.

Rubriques connexes :

Commande Actualiser
Commande Actualiser le temporisateur
Actualiser lors de la sélection


Expressions régulières

Une expression régulière est une formule permettant de rechercher des chaînes correspondant à un modèle composé de caractères normaux, ou d'une combinaison de métacaractères et de caractères normaux.
Les caractères normaux comprennent les majuscules, les minuscules et les chiffres.
Les métacaractères sont des symboles et des expressions qui ont une signification particulière.
En résumé : les expressions régulières (technique puissante permettant de spécifier des opérations de recherche et de remplacement complexes) utilisent des « opérateurs de caractères spéciaux », symboles permettant de contrôler la recherche, et « une expression », qui est une combinaison de caractères et d'opérateurs spécifiant un modèle.

Exemple : Une chaîne de caractères régulière est mise en correspondance avec cette même chaîne de caractères dans l'élément de la recherche. Par conséquent, vous pouvez rechercher toutes les occurrences de la chaîne « test » à l'aide de l'expression régulière « test ». Cette expression régulière permet également de rechercher les termes « tester » et « attester ». En revanche, le mot « Test » n'est pas détecté.

Métacaractères pris en charge

^ | Permet de rechercher le début d'une ligne. Par exemple « ^Où se trouve » permet de détecter la chaîne « Où se trouve mon ordinateur », mais pas « Où donc se trouve mon ordinateur ».
$ | Permet de rechercher la fin d'une ligne. Par exemple, « procédure$ » permet de détecter la fin de la chaîne « Utilisez cette procédure », mais pas « Utilisez ces procédures ». Exemple : [0-2][0-9]$ permet de rechercher des chaînes se terminant par des chiffres compris entre 00 et 29.
. | Permet de rechercher un caractère unique. Exemple : a.b permet de rechercher les chaînes de trois caractères commençant par « a » et finissant par « b »
[c1-c2] | Permet de rechercher tout caractère compris dans la plage recherchée (spécifiée par un tiret). Exemple 1 : [0-9] permet de rechercher tous les chiffres, tandis que [a-zA-Z] permet de rechercher toutes les lettres en minuscules et en majuscules. Exemple 2 : [b-n]on permet de rechercher bon, don, ion, mon et non. En revanche, le mot « son » n'est pas détecté.
[^c1-c2] | Permet de rechercher tous les caractères à l'exception de ceux compris dans la plage recherchée. Cette expression effectue donc la recherche dans la plage complémentaire. Exemple : [^0-9] permet de rechercher tous les caractères à l'exception des chiffres.
* | Permet de rechercher plusieurs occurrences (ou aucune) du caractère situé immédiatement avant le symbole *. Exemple 1 : t* permet de rechercher toute séquence (ou absence) d'occurrences du caractère t, à savoir (aucune), t, tt, ttt, etc. Exemple 2 : ab*c permet de rechercher les séquences de caractères ac, abc, abbc, abbbbc, etc. Exemple 3 : .* permet de rechercher toute séquence de caractères, quel que soit leur nombre.
+ | Permet de rechercher une ou plusieurs occurrences de l'expression régulière ou du caractère situé immédiatement avant le symbole +. Exemple 1 : a+ permet de rechercher, par exemple, a, aa, aaa. Exemple 2 : (ma)+ permet de rechercher ma, maman, etc.
? | Permet de rechercher 0 ou 1 occurrence de l'expression régulière ou du caractère situé immédiatement avant le symbole ?. Exemple 1 : wi?n permet de rechercher les chaînes wn ou win. Exemple 2 : w.?n permet de rechercher, par exemple, les chaînes wn, win, won, w7n.
[c1c2] | Permet de rechercher l'un des caractères entre crochets. Exemple : s[aeo]s permet de rechercher sas, ses ou sos, mais pas sus.
[^c1c2] | Permet de rechercher le jeu de caractères complémentaire des caractères entre crochets. Exemple : s[^012345678]s permet de rechercher s9s, sas, ses, sos, sus, etc. Voir aussi [^c1-c2] ci-dessus.
I | Permet de rechercher une condition (opérateur logique OR). Exemple : Lecteur fixe C:ID: permet de rechercher le lecteur fixe C: et le lecteur fixe D:, mais pas le lecteur fixe E:.


Description de la barre d'état

La barre d'état apparaît au bas de la fenêtre d'application, sous les vues d'arborescence et de liste.

La zone de gauche de la barre d'état décrit l'action de l'élément de menu actuellement sélectionné dans l'un des menus.

Les trois zones situées à l'extrême droite de la barre d'état indiquent quelles touches parmi les suivantes sont activées :

MAJ | La touche Verr. Maj. est activée
VER NUM | La touche Verr. Num. est activée
DEF | La touche Arrêt défil. est activée

Lorsque vous sélectionnez un noeud dans l'arborescence de gauche, la partie gauche de la barre d'état affiche le nombre de noeuds enfant trouvés dans la liste d'arborescence de ce noeud et le nombre de noeuds enfant sélectionnés.

Pour masquer ou afficher la barre d'état, choisissez Barre d'état dans le menu Affichage.


Aide de l'interface graphique de l'explorateur

Ce document contient des cadres. Si vous lisez ce message, cela signifie que votre navigateur ne prend pas en charge cette fonctionnalité HTML.

Vous pouvez vous procurer un navigateur prenant en charge les cadres auprès de Microsoft ou de Netscape Communications.

Si vous souhaitez tout de même consulter ce document, cliquez ici.


Astuce du jour - Boîte de dialogue

Astuce du jour (boîte de dialogue)

Contient l'astuce du jour.

Rubriques connexes :

Astuce du jour


Options de l'Explorer GUI (menu Outils)

Cette commande ouvre la boîte de dialogue Options de l'Explorer GUI, dans laquelle vous pouvez sélectionner deux options.

Raccourci
Touches :
Alt+O
Rubriques connexes :

Boîte de dialogue Options de l'Explorer GUI
Développer automatiquement les éléments lors de la sélection
Confirmer la suppression


Zones non définies

Emplacements non définis dans l'interface graphique de l'explorateur

Zone non définie

Cette zone de la vue de liste et d'arborescence de l'interface graphique de l'explorateur ne prend pas en charge l'aide contextuelle.

Zone non définie dans la vue d'arborescence

Cette zone de la vue d'arborescence de l'interface graphique de l'explorateur ne prend pas en charge l'aide contextuelle.

Zone non définie dans la vue de liste

Cette zone de la vue de liste de l'interface graphique de l'explorateur ne prend pas en charge l'aide contextuelle.

Zone non définie dans la barre d'outils

Cette zone de la barre d'outils de l'interface graphique de l'explorateur ne prend pas en charge l'aide contextuelle.


Remonter d'un niveau

Cliquez sur ce bouton pour déplacer votre sélection d'un niveau vers le haut dans la hiérarchie.

Raccourcis
Barre d'outils : |
Touches : | Retour arrière


Bouton Modifier la vue

Vous permet de sélectionner l'une de ces options d'affichage : Comme une page Web, Grandes icônes, Petites icônes, Liste, Détails et Graphique, si le noeud actif les prend en charge. L'option d'affichage s'applique au panneau de droite.

Pour sélectionner la vue du panneau de droite, procédez comme suit :

1. | Dans la barre d'outils, cliquez sur le bouton Modifier la vue.
2. | A chaque clic, la sélection est modifiée et se déplace d'une entrée vers le bas dans une liste déroulante masquée.

Vous pouvez également effectuer votre sélection en cliquant sur la flèche pointant vers le bas, située à droite du bouton Modifier la vue. La liste déroulante qui apparaît contient les six options indiquées ci-dessus. Vous pouvez sélectionner l'option d'affichage directement dans la liste.

Vous pouvez effectuer votre sélection parmi les six options également disponibles dans le menu Affichage.

Remarque : Si vous sélectionnez l'option Graphique, l'option Comme une page Web n'est pas disponible.

Raccourcis
Barre d'outils : |
Touches : | La combinaison de touches Alt+H,V vous permet d'accéder à l'emplacement dans le menu où vous sélectionnez l'option d'affichage.
Rubriques connexes :

Comme une page Web | Grandes icônes
Petites icônes | Liste
Détails | Graphique